From 09db00571773c0468a8285040c6e2a16cb0f4ff7 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 25 Aug 2020 07:24:15 +0200
Subject: [PATCH 09/11] Remove unused parameter

unused since 93ee38eade1b2b4964354b95b01b09e17d6f098d
---
 contrib/pageinspect/btreefuncs.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/contrib/pageinspect/btreefuncs.c b/contrib/pageinspect/btreefuncs.c
index e7a323044b..445605db58 100644
--- a/contrib/pageinspect/btreefuncs.c
+++ b/contrib/pageinspect/btreefuncs.c
@@ -259,7 +259,7 @@ struct user_args
  * ------------------------------------------------------
  */
 static Datum
-bt_page_print_tuples(FuncCallContext *fctx, struct user_args *uargs)
+bt_page_print_tuples(struct user_args *uargs)
 {
 	Page		page = uargs->page;
 	OffsetNumber offset = uargs->offset;
@@ -498,7 +498,7 @@ bt_page_items(PG_FUNCTION_ARGS)
 
 	if (fctx->call_cntr < fctx->max_calls)
 	{
-		result = bt_page_print_tuples(fctx, uargs);
+		result = bt_page_print_tuples(uargs);
 		uargs->offset++;
 		SRF_RETURN_NEXT(fctx, result);
 	}
@@ -582,7 +582,7 @@ bt_page_items_bytea(PG_FUNCTION_ARGS)
 
 	if (fctx->call_cntr < fctx->max_calls)
 	{
-		result = bt_page_print_tuples(fctx, uargs);
+		result = bt_page_print_tuples(uargs);
 		uargs->offset++;
 		SRF_RETURN_NEXT(fctx, result);
 	}
-- 
2.28.0

